/*
 * Created on Jan 23, 2017 by Nick
 *
 */
package jmsltestsuite;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import com.softsynth.jmsl.score.*;

public class AccidentalVisibilityPolicyTest {

    ScoreFrame scoreFrame;
    Score score;

    void buildScore() {
        score = new Score(1, 600, 300);
        score.addMeasure();
        for (int i = 0; i < 4; i++) {
            Note n = score.addNote(1, 71.5, 0.5, 0.8);
            n.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
        }
        for (int i = 0; i < 4; i++) {
            Note n = score.addNote(1, 60, 0.5, 0.8);
            n.setAccidentalVisibilityPolicy(Note.ACCIDENTAL_SHOW_ALWAYS);
        }
        scoreFrame = new ScoreFrame();
        scoreFrame.addScore(score);
        scoreFrame.pack();
        scoreFrame.setVisible(true);
    }

    public static void main(String[] args) {
        AccidentalVisibilityPolicyTest test = new AccidentalVisibilityPolicyTest();
        test.buildScore();
        test.scoreFrame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
    }

}
