package jmsltestsuite;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import com.softsynth.jmsl.score.*;

/** 
 * 
 * 
 * @author Nick Didkovsky , copyright 2008 Nick Didkovsky 
*/
public class NoteOrnamentTest {

	public static void main(String args[]) {
		int w = 1000;
		int h = 750;
		int numStaves = 1;
		Score score = new Score(numStaves, w, h, "Test Custom NoteOrnament drawing");
		score.addMeasure();		
		Note n = score.addNote(1.0, NoteFactory.MIDDLE_C, 0.5, 0.25);
        DrippyNoteOrnament drippyNoteOrnament = new DrippyNoteOrnament();
        drippyNoteOrnament.setYoffset(12);
        n.addUserBean(drippyNoteOrnament);
        
		ScoreFrame f = new ScoreFrame();
		f.addScore(score);
		f.setVisible(true);

		f.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
	}
}