/** 	
	SpectrumData

	A data object that holds freq and amp
	
 * @author Phil Burk and Nick Didkovsky
 */
/*
 * (C) 1997 Phil Burk and Nick Didkovsky, All Rights Reserved
 * JMSL is based upon HMSL (C) Phil Burk, Larry Polansky and David Rosenboom.
 */

package jmsltutorial;

public class SpectrumData {

	private double frequency;
	private double amplitude;

	/** frequency and amplitude set by constructor */
	public SpectrumData(double f, double a) {
		frequency = f;
		amplitude = a;
	}

	public double getFrequency() {
		return frequency;
	}

	public double getAmplitude() {
		return amplitude;
	}
}