package jmsltutorial;

import com.softsynth.jmsl.JMSL;
import com.softsynth.jmsl.MusicJob;

public class MusicJobStartRepeatStopDemo extends MusicJob {

    public double repeat(double playTime) {
        System.out.println(getName() + ", repeating playTime=" + playTime);
        return playTime;
    }

    public double start(double playTime) {
        System.out.println(getName() + ", starting playTime=" + playTime);
        return playTime;
    }

    public double stop(double playTime) {
        System.out.println(getName() + ", stopping playTime=" + playTime);
        return playTime;
    }

    public static void main(String[] args) {
        MusicJobStartRepeatStopDemo demo = new MusicJobStartRepeatStopDemo();
        demo.setRepeats(5);
        demo.setRepeatPause(0.25);

        demo.setStartDelay(2);
        demo.setStartPause(2);
        demo.setStopDelay(3);
        demo.launch(JMSL.now());
    }
}
